body {
  background-color: rgb(100, 100, 100);
}

.border {
  width: 840px;
  height: 640px;
  background: linear-gradient(140deg, #212121 30%, #141414 70%);
  margin: 50px auto 0;
  display: flex;
  outline: 1px solid rgb(136, 136, 136);
  border-radius: 16px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
  transition: all 0.5s ease;
}

.border:hover {
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.6);
}

.screen {
  background-image: url(./background/mac-galaxy.jpg);
  background-color: rgb(20, 20, 20);
  width: 800px;
  height: 600px;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  border: 3px solid black;

}

.container {
  width: 720px;
  height: 420px;
  margin: auto;
  display: flex;
  justify-content: space-evenly;
  gap: 30px;
  align-items: center;
  flex-wrap: wrap;
  overflow: scroll;
}

.artwork img {
  width: 100%;
  height: 100%;
  border-radius: 6px;
}

.artwork {
  width: 96px;
  height: 96px;
  background-color: black;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4);
  border-radius: 6px;
  transition: all 0.5s ease;
}

.artwork:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.8);
  cursor: pointer;
}

.artwork:active {
  transform: scale(1);
}

.windows {
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.6);
  border-radius: 10px;
  outline: 1px solid #f0f0f0;
  transition: all 0.5s ease;
}

.windows:hover {
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.8);
}

.winbar {
  max-width: 480px;
  height: 30px;
  border-radius: 10px 10px 0px 0px;
  background: linear-gradient(#f0f0f0, #cfcfcf);
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.winbar .blankspace {
  width: 20px;
}

.winbar p {
  display: flex;
  font-family: sans-serif;
  font-weight: bold;
}

.winbar .back-button {
  width: 20px;
  height: 20px;
  background-image: linear-gradient(rgb(255, 67, 67), rgb(255,0,0));
  border-radius: 20px;
  transition: all 0.2s ease;
  margin: auto;
}

.winbar a {
  width: 40px;
  text-shadow: 0 0 0 grey;
  text-decoration: none;
  text-align: center;
  transition: all 0.2s ease;
}

.winbar a:hover {
  text-shadow: 0 0px 4px grey;
}

.winbar a:active {
  transform: scale(0.95);
}

.player {
  width: 480px;
  height: 480px;
  border-radius: 0px 0px 10px 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.player iframe {
  width: inherit;
  height: inherit;
  border-radius: inherit;
}

@media screen and (orientation: portrait) {
  .border {
    width: 90vw;
    height: 90vh;
  }
  .screen {
    width: calc(90vw - 40px);
    height: calc(90vh - 40px);
    background-size: cover;
    background-position: center;
  }
  .container {
    min-width: calc(90vw - 80px);
    min-height: calc(90vh - 80px);
    margin: 40px
  }
  .artwork {
  }
  .player {
    width: 300px;
    height: 300px;
  }
}